Bug 1792092 (CVE-2020-1701)

Summary: CVE-2020-1701 virt-handler: virt-handler daemonset clusterroles allows retrieval of secrets
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cnv-qe-bugs, fdeutsch, sgott
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kubevirt 0.26.0 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the KubeVirt main virt-handler regarding the access permissions of virt-handler. An attacker with access to create VMs could attach any secret within their namespace, allowing them to read the contents of that secret.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-02 05:54:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1792801, 1798752    
Bug Blocks: 1792093    

Description Pedro Sampaio 2020-01-17 02:07:57 UTC
A flaw was found in the kubevirt main virt-handler. Due to the access permissions of virt-handler an attacker with access to create vms could attach any secret within their namespace. This would allow them to read the contents of that secret.

Upstream issue:

https://github.com/kubevirt/kubevirt/issues/2967

Comment 3 Joshua Padman 2020-02-04 23:13:28 UTC
Mitigation:

This issue can only be resolved by applying updates.
Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.